Skip to main content
GET
/
api
/
v3
/
store
/
orders
/
{order_id}
/
shipments
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const shipments = await client.store.orders.shipments.list('or_abc123', {
  bearerToken: '<token>',
})
{
  "data": [
    {
      "id": "ship_UkLWZg9DAJ",
      "number": "H09088674061",
      "state": "pending",
      "tracking": "U10000",
      "tracking_url": null,
      "cost": "100.0",
      "display_cost": "$100.00",
      "shipped_at": null,
      "created_at": "2026-03-05T20:52:40.154Z",
      "updated_at": "2026-03-05T20:52:40.175Z",
      "shipping_method": {
        "id": "shpm_UkLWZg9DAJ",
        "name": "UPS Ground",
        "code": "UPS_GROUND"
      },
      "stock_location": {
        "id": "sloc_UkLWZg9DAJ",
        "state_abbr": "STATE_ABBR_290",
        "name": "Otha Waters",
        "address1": "1600 Pennsylvania Ave NW",
        "city": "Washington",
        "zipcode": "20500",
        "country_iso": "US",
        "country_name": "United States of America",
        "state_text": "STATE_ABBR_290"
      },
      "shipping_rates": [
        {
          "id": "shpr_UkLWZg9DAJ",
          "shipping_method_id": "shpm_UkLWZg9DAJ",
          "name": "UPS Ground",
          "selected": true,
          "cost": "100.0",
          "display_cost": "$100.00",
          "shipping_method": {
            "id": "shpm_UkLWZg9DAJ",
            "name": "UPS Ground",
            "code": "UPS_GROUND"
          }
        }
      ]
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
x-spree-order-token
string

Order token for guest access

Path Parameters

order_id
string
required

Response

shipments found

data
object[]
meta
object